import type { Hash } from "@siteimprove/alfa-hash";
import { type Parser as CSSParser } from "../../syntax/index.js";
import { Numeric } from "./numeric.js";
/**
 * {@link https://drafts.csswg.org/css-values/#integers}
 *
 * @public
 */
export declare class Integer extends Numeric<"integer"> {
    /**
     * {@link https://drafts.csswg.org/css-values/#css-round-to-the-nearest-integer}
     */
    static of(value: number): Integer;
    private constructor();
    scale(factor: number): Integer;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(): Integer.JSON;
}
/**
 * @public
 */
export declare namespace Integer {
    interface JSON extends Numeric.JSON<"integer"> {
    }
    function isInteger(value: unknown): value is Integer;
    const parse: CSSParser<Integer>;
}
//# sourceMappingURL=integer.d.ts.map