import type { Hash } from "@siteimprove/alfa-hash";
import { type Parser as CSSParser } from "../../syntax/index.js";
import { Number } from "../numeric/index.js";
import { Format } from "./format.js";
import { RGB } from "./rgb.js";
/**
 * @public
 */
export declare class Hex extends Format<"hex"> {
    static of(value: number): Hex;
    private readonly _value;
    private constructor();
    get value(): number;
    get red(): Number.Fixed;
    get green(): Number.Fixed;
    get blue(): Number.Fixed;
    get alpha(): Number.Fixed;
    resolve(): RGB.Canonical;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(): Hex.JSON;
    toString(): string;
}
/**
 * @public
 */
export declare namespace Hex {
    interface JSON extends Format.JSON<"hex"> {
        value: number;
    }
    function isHex(value: unknown): value is Hex;
    /**
     * {@link https://drafts.csswg.org/css-color/#typedef-hex-color}
     */
    const parse: CSSParser<Hex>;
}
//# sourceMappingURL=hex.d.ts.map