import type { Hash } from "@siteimprove/alfa-hash";
import { type Parser as CSSParser } from "../../../../syntax/index.js";
import type { Resolvable } from "../../../resolvable.js";
import { Value } from "../../../value.js";
/**
 * @internal
 */
export declare class Extent extends Value<"extent", false> implements Resolvable<Extent.Canonical, Extent.Resolver> {
    static of(shape?: Extent.Shape, size?: Extent.Size): Extent;
    private readonly _shape;
    private readonly _size;
    private constructor();
    get shape(): Extent.Shape;
    get size(): Extent.Size;
    resolve(): Extent.Canonical;
    equals(value: Extent): boolean;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(): Extent.JSON;
    toString(): string;
}
/**
 * @internal
 */
export declare namespace Extent {
    enum Shape {
        Circle = "circle",
        Ellipse = "ellipse"
    }
    enum Size {
        ClosestSide = "closest-side",
        FarthestSide = "farthest-side",
        ClosestCorner = "closest-corner",
        FarthestCorner = "farthest-corner"
    }
    interface JSON extends Value.JSON<"extent"> {
        shape: `${Shape}`;
        size: `${Size}`;
    }
    type Canonical = Extent;
    type Resolver = {};
    const parse: CSSParser<Extent>;
}
//# sourceMappingURL=extent.d.ts.map