import type { Hash } from "@siteimprove/alfa-hash";
import { Parser } from "@siteimprove/alfa-parser";
import { Token } from "../../syntax/index.js";
import { Angle, Number } from "../numeric/index.js";
import type { Resolvable } from "../resolvable.js";
import { Function } from "./function.js";
/**
 * @public
 */
export declare class Rotate extends Function<"rotate", false> implements Resolvable<Rotate.Canonical, never> {
    static of<A extends Angle>(x: Number, y: Number, z: Number, angle: A): Rotate;
    private readonly _x;
    private readonly _y;
    private readonly _z;
    private readonly _angle;
    private constructor();
    get x(): Number.Canonical;
    get y(): Number.Canonical;
    get z(): Number.Canonical;
    get angle(): Angle.Canonical;
    resolve(): Rotate;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(): Rotate.JSON;
    toString(): string;
}
/**
 * @public
 */
export declare namespace Rotate {
    type Canonical = Rotate;
    interface JSON extends Function.JSON<"rotate"> {
        x: Number.Fixed.JSON;
        y: Number.Fixed.JSON;
        z: Number.Fixed.JSON;
        angle: Angle.Fixed.JSON<"deg">;
    }
    function isRotate(value: unknown): value is Rotate;
    const parse: Parser<import("@siteimprove/alfa-slice").Slice<Token>, Rotate, string, []>;
}
//# sourceMappingURL=rotate.d.ts.map